Bug 31400 - [RV740] Mipmapping broken in drm-radeon-next / drm-next
Summary: [RV740] Mipmapping broken in drm-radeon-next / drm-next
Status: RESOLVED FIXED
Alias: None
Product: DRI
Classification: Unclassified
Component: DRM/Radeon (show other bugs)
Version: DRI git
Hardware: x86-64 (AMD64) Linux (All)
: medium major
Assignee: Default DRI bug account
QA Contact:
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2010-11-04 17:11 UTC by Tobias Jakobi
Modified: 2010-11-18 10:01 UTC (History)
0 users

See Also:
i915 platform:
i915 features:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Tobias Jakobi 2010-11-04 17:11:22 UTC
Hey there,

I already partially explained this in bug #31046.

With a recent drm-radeon-next or also drm-next the mipmaps are broken with both r600c and r600g.

My hardware:
01:00.0 VGA compatible controller: ATI Technologies Inc Radeon HD 4770 [RV740]

libdrm, xf86-video-ati and mesa are all git master tip.

Today I found some time to bisect drm-next and this commit introduces the mipmap issue:
881fe6c1d06bf49f4ab7aef212cdaf66bd059614

drm/radeon/kms: properly compute group_size on 6xx/7xx

Needed for tiled surfaces.

-------------------------------

Link: http://git.kernel.org/?p=linux/kernel/git/airlied/drm-2.6.git;a=commit;h=881fe6c1d06bf49f4ab7aef212cdaf66bd059614

Looks like tiling_group_size has to be 256 on my hardware.

Greets,
Tobias
Comment 1 Alex Deucher 2010-11-08 09:12:41 UTC
Fixed in mesa git master and 7.9.  Although, I'm not sure how best to handle backwards compat for old userspace.
Comment 2 Tobias Jakobi 2010-11-09 11:15:37 UTC
Thanks for fixing this. Although I noticed that your patch only seems to touch r600 classic, while I also noticed lots of mipmap rendering errors with the gallium driver. Or are the r600g issues a separate problem?

Greets,
Tobias
Comment 3 Alex Deucher 2010-11-09 13:10:22 UTC
(In reply to comment #2)
> Thanks for fixing this. Although I noticed that your patch only seems to touch
> r600 classic, while I also noticed lots of mipmap rendering errors with the
> gallium driver. Or are the r600g issues a separate problem?

gallium needs to be updated as well, just haven't gotten a chance yet.
Comment 4 Tobias Jakobi 2010-11-09 13:14:34 UTC
OK, no need to hurry. Was just curious and a bit surprised when the bug was suddenly set to RESOLVED/FIXED.
Comment 5 Alex Deucher 2010-11-18 10:01:41 UTC
gallium should be fixed now as well with a23f25eba1fb8919a29efb88ef9e351abcc65b2e


Use of freedesktop.org services, including Bugzilla, is subject to our Code of Conduct. How we collect and use information is described in our Privacy Policy.